指定维度值后缀。 支持的平台:仅窗口 属性值只读:不 类型:字符串 维度值的后缀。 言论此属性的初始值为 “”。 注意:此属性将覆盖给定维度的 DIMPOST 系统变量的值。
例子工 务 局: Sub Example_TextSuffix() ' This example creates an aligned dimension in model space and ' uses TextSuffix to allow the user to change the text suffix for the ' dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim suffix As String ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Allow the user to change the text suffix for the dimension suffix = InputBox("Enter a new text suffix for the dimension", "Set Dimension Suffix", ":SUFFIX") dimObj.TextSuffix = suffix ' Commit changes to suffix ThisDrawing.Regen acAllViewports ' Read back and display the dimension text suffix suffix = dimObj.TextSuffix If suffix <> "" Then MsgBox "The suffix of the dimension has been changed to: " & suffix Else MsgBox "The suffix of the dimension has been removed" End If End Sub Visual LISP: (vl-load-com) (defun c:Example_TextSuffix() ;; This example creates an aligned dimension in model space and ;; uses TextSuffix to allow the user to change the text suffix for the ;; dimension (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 0 5 0) point2 (vlax-3d-point 5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Allow the user to change the text suffix for the dimension (setq suffix (vla-GetString (vla-get-Utility doc) :vlax-false "\nEnter a new text suffix for the dimension: ")) (vla-put-TextSuffix dimObj suffix) ;; Commit changes to suffix (vla-Regen doc acAllViewports) ;; Read back and display the dimension text suffix (setq suffix (vla-get-TextSuffix dimObj)) (if (/= suffix "") (alert (strcat "The suffix of the dimension has been changed to: " suffix)) (alert "The suffix of the dimension has been removed") ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:09
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.